CREATE TABLE IF NOT EXISTS "hosts" (
	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"host" TEXT UNIQUE, 
	"title" TEXT, 
	"enabled" INTEGER DEFAULT 1
);

CREATE TABLE IF NOT EXISTS  "lists" (
	"id" INTEGER PRIMARY KEY AUTOINCREMENT, 
	"list" TEXT, 
	"slug" TEXT, 
	"media" TEXT, 
	"sync" INTEGER DEFAULT (1), 
	UNIQUE (slug, media) ON CONFLICT IGNORE
);